<?php

namespace App\Models\goods\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

/**
 * Class PaySuccessGoodsCallbackRecord
 * 订单支付成功后商品回调记录
 * @package App\Models\goods\mysql
 */
class PaySuccessGoodsCallbackRecord extends MysqlBase
{
    const TABLE_NAME = 'pay_success_goods_callback_record';
    const CONFIG_INDEX = 'goods';

    const OPERATOR_RESULT_FAIL = 0;
    const OPERATOR_RESULT_SUCCESS = 1;

    public static function getRecord($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::get($colums, $where);
    }

    public static function getRecordMaster($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::selectMaster($colums, $where);
    }

    public static function insertRecord($colums)
    {
        return self::insert($colums);
    }
}